-- phpMyAdmin SQL Dump
-- version 4.5.1
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Sep 08, 2016 at 10:23 AM
-- Server version: 10.1.10-MariaDB
-- PHP Version: 7.0.4

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `kursus_mtc`
--

-- --------------------------------------------------------

--
-- Table structure for table `kategori_kursus`
--

CREATE TABLE `kategori_kursus` (
  `id_kategori` varchar(3) NOT NULL,
  `nama_kategori` varchar(20) DEFAULT NULL,
  `keterangan` text
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `kompetensi_pengajar`
--

CREATE TABLE `kompetensi_pengajar` (
  `Id_pengajar` varchar(8) NOT NULL,
  `kompetensi` varchar(30) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `kursus`
--

CREATE TABLE `kursus` (
  `id_kursus` varchar(3) NOT NULL,
  `nama_kursus` varchar(30) DEFAULT NULL,
  `biaya` int(11) DEFAULT NULL,
  `keterangan` text,
  `id_kategori` varchar(3) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `notelp_peserta`
--

CREATE TABLE `notelp_peserta` (
  `Id_peserta` varchar(4) NOT NULL,
  `no_telp` varchar(15) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `pendaftaran_kursus`
--

CREATE TABLE `pendaftaran_kursus` (
  `id_pendaftaran` varchar(5) NOT NULL,
  `tgl_daftar` date DEFAULT NULL,
  `status_pembayaran` tinyint(1) DEFAULT NULL,
  `id_pengajar` varchar(8) DEFAULT NULL,
  `id_kursus` varchar(3) DEFAULT NULL,
  `id_ruangan` varchar(4) DEFAULT NULL,
  `id_peserta` varchar(4) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `peserta_kursus`
--

CREATE TABLE `peserta_kursus` (
  `id_peserta` varchar(4) NOT NULL,
  `nama` varchar(30) DEFAULT NULL,
  `alamat` varchar(50) DEFAULT NULL,
  `pendidikan_terakhir` varchar(3) DEFAULT NULL,
  `tgl_lahir` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `ruang_kursus`
--

CREATE TABLE `ruang_kursus` (
  `id_ruangan` varchar(4) NOT NULL,
  `lokasi` varchar(30) DEFAULT NULL,
  `jadwal` text,
  `kapasitas` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tenaga_pengajar`
--

CREATE TABLE `tenaga_pengajar` (
  `id_pengajar` varchar(8) NOT NULL,
  `nama` varchar(30) DEFAULT NULL,
  `alamat` varchar(50) DEFAULT NULL,
  `tgl_lahir` date DEFAULT NULL,
  `no_telp` text
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `kategori_kursus`
--
ALTER TABLE `kategori_kursus`
  ADD PRIMARY KEY (`id_kategori`);

--
-- Indexes for table `kompetensi_pengajar`
--
ALTER TABLE `kompetensi_pengajar`
  ADD PRIMARY KEY (`Id_pengajar`,`kompetensi`);

--
-- Indexes for table `kursus`
--
ALTER TABLE `kursus`
  ADD PRIMARY KEY (`id_kursus`),
  ADD KEY `fk_id_kategori` (`id_kategori`);

--
-- Indexes for table `notelp_peserta`
--
ALTER TABLE `notelp_peserta`
  ADD PRIMARY KEY (`Id_peserta`,`no_telp`);

--
-- Indexes for table `pendaftaran_kursus`
--
ALTER TABLE `pendaftaran_kursus`
  ADD PRIMARY KEY (`id_pendaftaran`),
  ADD KEY `fk_id_pengajar` (`id_pengajar`),
  ADD KEY `fk_id_kursus` (`id_kursus`),
  ADD KEY `fk_id_ruangan` (`id_ruangan`),
  ADD KEY `fk_id_peserta` (`id_peserta`);

--
-- Indexes for table `peserta_kursus`
--
ALTER TABLE `peserta_kursus`
  ADD PRIMARY KEY (`id_peserta`);

--
-- Indexes for table `ruang_kursus`
--
ALTER TABLE `ruang_kursus`
  ADD PRIMARY KEY (`id_ruangan`);

--
-- Indexes for table `tenaga_pengajar`
--
ALTER TABLE `tenaga_pengajar`
  ADD PRIMARY KEY (`id_pengajar`);

--
-- Constraints for dumped tables
--

--
-- Constraints for table `kompetensi_pengajar`
--
ALTER TABLE `kompetensi_pengajar`
  ADD CONSTRAINT `fk_kompetensi_pengajar` FOREIGN KEY (`Id_pengajar`) REFERENCES `tenaga_pengajar` (`id_pengajar`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `kursus`
--
ALTER TABLE `kursus`
  ADD CONSTRAINT `fk_id_kategori` FOREIGN KEY (`id_kategori`) REFERENCES `kategori_kursus` (`id_kategori`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `notelp_peserta`
--
ALTER TABLE `notelp_peserta`
  ADD CONSTRAINT `fk_notelp_peserta` FOREIGN KEY (`Id_peserta`) REFERENCES `peserta_kursus` (`id_peserta`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `pendaftaran_kursus`
--
ALTER TABLE `pendaftaran_kursus`
  ADD CONSTRAINT `fk_id_kursus` FOREIGN KEY (`id_kursus`) REFERENCES `kursus` (`id_kursus`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_id_pengajar` FOREIGN KEY (`id_pengajar`) REFERENCES `tenaga_pengajar` (`id_pengajar`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_id_peserta` FOREIGN KEY (`id_peserta`) REFERENCES `peserta_kursus` (`id_peserta`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_id_ruangan` FOREIGN KEY (`id_ruangan`) REFERENCES `ruang_kursus` (`id_ruangan`) ON DELETE CASCADE ON UPDATE CASCADE;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
